Bug 218412 - Reproducible crash in OOo when cancelling out of the 'open file' dialog when the 'search' place is active
Reproducible crash in OOo when cancelling out of the 'open file' dialog when ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-05 01:05 EST by vfiend
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.4-5.5.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-04 03:44:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vfiend 2006-12-05 01:05:01 EST
Steps to Reproduce:
1. Start oowriter
2. Click File->Open
3. Double click the 'search' place
4. Click cancel

Result: 'OOo has crashed!'

Output Follows:
(I)    x.org loaded video driver of...
(II) Loading /usr/lib64/xorg/modules/drivers/nvidia_drv.so
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.1-30-x86_64 libgcj-4.1.1-30-i386
(V)    kernel is: Linux 2.6.18-1.2849.fc6 #1 SMP Fri Nov 10 12:34:46 EST 2006
x86_64 x86_64 x86_64
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.0.4-5.5.3-x86_64
(VII)  depth of root window:    24 planes
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora Core release 6 (Zod)
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 21
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x84236708: /usr/lib64/openoffice.org2.0/program/libuno_sal.so.3 + 0x36708
0x8423718b: /usr/lib64/openoffice.org2.0/program/libuno_sal.so.3 + 0x3718b
0x7bc30210: /lib64/libc.so.6 + 0x30210
0x7bc75510: /lib64/libc.so.6 + 0x75510 (strlen + 0x30)
0xb9afa1e0: /usr/lib64/openoffice.org2.0/program/fps_gnome.uno.so + 0xb1e0
0xb9afa781: /usr/lib64/openoffice.org2.0/program/fps_gnome.uno.so + 0xb781
0xb9afa992: /usr/lib64/openoffice.org2.0/program/fps_gnome.uno.so + 0xb992
0x212f9661: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x2f9661
0x212f96b3: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x2f96b3
(sfx2::FileDialogHelper::GetDisplayDirectory() const + 0x23)
0x213063b5: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x3063b5
0x210f4a0f: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0xf4a0f
0x2129d956: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x29d956
0x2129e0d7: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x29e0d7
0x212ca422: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x2ca422
0x1e899b81: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0x299b81
0xaef32ee7: /usr/lib64/openoffice.org2.0/program/libvclplug_gen680lx.so +
0x57ee7 (SalDisplay::DispatchInternalEvent() + 0xb7)
0xaea7e076: /usr/lib64/openoffice.org2.0/program/libvclplug_gtk680lx.so + 0x16076
0x7dc2cf44: /lib64/libglib-2.0.so.0 + 0x2cf44 (g_main_context_dispatch + 0x1b4)
0x7dc2fd7d: /lib64/libglib-2.0.so.0 + 0x2fd7d
0x7dc302ae: /lib64/libglib-2.0.so.0 + 0x302ae (g_main_context_iteration + 0x6e)
0xaea7fa9b: /usr/lib64/openoffice.org2.0/program/libvclplug_gtk680lx.so + 0x17a9b
0x1e6c8d11: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xc8d11
(Application::Yield(bool) + 0x51)
0x1e6c8daa: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xc8daa
(Application::Execute() + 0x2a)
0x2222bd15: /usr/lib64/openoffice.org2.0/program/libsoffice.so + 0x2bd15
(desktop::Desktop::Main() + 0x15a5)
0x1e6ce4d9: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xce4d9
0x1e6ce5c5: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xce5c5
(SVMain() + 0x25)
0x2221ed36: /usr/lib64/openoffice.org2.0/program/libsoffice.so + 0x1ed36
(sal_main + 0x46)
0x7bc1da44: /lib64/libc.so.6 + 0x1da44 (__libc_start_main + 0xf4)
0x400619: /usr/lib64/openoffice.org2.0/program/swriter.bin + 0x619
...end stackreport details ...
...start sample ldd details ...
	libuno_sal.so.3 => /usr/lib64/openoffice.org2.0/program/libuno_sal.so.3
(0x00002aaaaaccd000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib64/openoffice.org2.0/program/libuno_salhelpergcc3.so.3 (0x00002aaaab0c2000)
	libstore.so.3 => /usr/lib64/openoffice.org2.0/program/libstore.so.3
(0x00002aaaab2c6000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00002aaaab4ff000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00002aaaab703000)
	libstlport_gcc.so => /usr/lib64/openoffice.org2.0/program/libstlport_gcc.so
(0x00002aaaab91d000)
	libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00002aaaabbf7000)
	libm.so.6 => /lib64/libm.so.6 (0x00002aaaabef9000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00002aaaac17c000)
	libc.so.6 => /lib64/libc.so.6 (0x00002aaaac38a000)
	libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00002aaaac6d8000)
	/lib64/ld-linux-x86-64.so.2 (0x0000555555554000)
...end sample ldd details ...
Comment 1 Caolan McNamara 2006-12-05 05:17:34 EST
indeed, I can see it. Will be fixed in FC-6 update >= openoffice_org-2.0.4-5.5.8

Note You need to log in before you can comment on or make changes to this bug.